package com.sxtvs.open.api.odata.wxutil;

import lombok.SneakyThrows;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import java.io.IOException;
import java.io.StringReader;

public class WxXmlUtil {
    @SneakyThrows
    public static String getComponentVerifyTicket(String xml){
        Document document = getDocument(xml);
        return document.getElementsByTagName("ComponentVerifyTicket").item(0).getTextContent();
    }

    @SneakyThrows
    public static String getEncrypt(String xml){
        Document document = getDocument(xml);
        return document.getElementsByTagName("Encrypt").item(0).getTextContent();
    }

    private static Document getDocument(String xml) throws ParserConfigurationException, SAXException, IOException {
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder db = dbf.newDocumentBuilder();
        StringReader sr = new StringReader(xml);
        InputSource is = new InputSource(sr);
        return db.parse(is);
    }

}
